You can not select more than 25 topics
Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
29 lines
942 B
29 lines
942 B
6 years ago
|
From 61fe0031683c8e1c36ca6ca3022ef6243bfae268 Mon Sep 17 00:00:00 2001
|
||
|
From: Harald Hoyer <harald@redhat.com>
|
||
|
Date: Tue, 25 Feb 2014 13:31:29 +0100
|
||
|
Subject: [PATCH] network/net-lib.sh:wait_for_ipv6_auto() also wait for the
|
||
|
tentative flag
|
||
|
|
||
|
Wait until the tentative flag is cleared.
|
||
|
|
||
|
https://bugzilla.redhat.com/show_bug.cgi?id=1069263
|
||
|
---
|
||
|
modules.d/40network/net-lib.sh | 4 +++-
|
||
|
1 file changed, 3 insertions(+), 1 deletion(-)
|
||
|
|
||
|
diff --git a/modules.d/40network/net-lib.sh b/modules.d/40network/net-lib.sh
|
||
|
index 8948a476..4e1b0192 100755
|
||
|
--- a/modules.d/40network/net-lib.sh
|
||
|
+++ b/modules.d/40network/net-lib.sh
|
||
|
@@ -456,7 +456,9 @@ wait_for_ipv6_auto() {
|
||
|
local li
|
||
|
while [ $cnt -lt 400 ]; do
|
||
|
li=$(ip -6 addr show dev $1)
|
||
|
- strstr "$li" "dynamic" && return 0
|
||
|
+ if ! strstr "$li" "tentative"; then
|
||
|
+ strstr "$li" "dynamic" && return 0
|
||
|
+ fi
|
||
|
sleep 0.1
|
||
|
cnt=$(($cnt+1))
|
||
|
done
|